{ pkgs, ... }:
{
  services.caddy = {
    enable = true;
    package = pkgs.unstable.caddy;
    configFile = pkgs.writeText "Caddyfile" ''
      {
        acme_ca https://ca.home.2rjus.net/acme/acme/directory
        metrics
      }


      nix-cache.home.2rjus.net {
        log {
          output file /var/log/caddy/nix-cache.log {
            mode 644
          }
        }
        metrics /metrics

        reverse_proxy http://localhost:5000
      }
    '';
  };
}
